EventUtil::__construct
EventUtil::getLastSocketError
EventUtil
PHP Manual

# EventUtil::getLastSocketErrno

(PECL event >= 1.2.6-beta)

EventUtil::getLastSocketErrno — Returns the most recent socket error number

### Description

public static int EventUtil::getLastSocketErrno ([ mixed `$socket` = `NULL` ] )

Returns the most recent socket error number( errno ).

### Parameters

`socket`

  Socket resource, stream or a file descriptor of a socket.

### Return Values

Returns the most recent socket error number( errno ).

### See Also

- EventUtil::getLastSocketError() - Returns the most recent socket error

EventUtil::__construct
EventUtil::getLastSocketError
EventUtil
PHP Manual